OXID eShop v6.0.0 stable is published

OXID eShop v6.0.0 is publicly available. You may find it tagged as https://github.com/OXID-eSales/oxideshop_ce/tree/v6.0.0 on GitHub.

Visit https://oxidforge.org/en/release-plan for the OXID eShop release plan.
After the first stable release of the OXID eShop series 4.9 & 5.2 in 9/2014, it now has reached EoL (end of life) and therefore can’t be supported any more. Please consider to update.

Information about changes

  • The AmazonPay module v3.0.2 was integrated into the compilation.
  • The WYSIWYG Editor + Mediathek module was updated to v2.0.0. Changes can be found in changelog.
  • The Visual CMS module was updated to v3.0.0:
    • Introduced namespaces
    • Added demo data installation button
    • Usage of metadata 2.0
    • Fixed smarty tag problem after saving widgets
    • Correct protocol usage for image urls
  • The PayOne module was updated to v1.0.4.
  • The PayPal module was updated to v5.1.3. Changes can be found in changelog.

Compilation changes which were introduced can be found in compilation metapackage: https://github.com/OXID-eSales/oxideshop_metapackage_ce/compare/v6.0.0-rc.3…v6.0.0

To see the entire change log, please turn to this page: https://github.com/OXID-eSales/oxideshop_ce/blob/master/CHANGELOG.md

Updating and installing OXID eShop v6.0.0

The most simple way to install the OXID eShop is to run the Composer command and create a project. Please make sure you have the latest version of composer installed by running composer self-update.

By default, Composer installs the OXID eShop compilation including the development resources (e. g. OXID Testing Library, IDE helper, Codesniffer). If you are planning to install the OXID eShop Compilation on production environments, make sure to add the nodev flag.

  • For Community Edition run:

  • For Professional Edition run:

  • For Enterprise Edition run:

Update from pre-release versions to OXID eShop 6.0.0

[Update] If you want to update from a beta version or release candidate, please see this tutorial: https://docs.oxid-esales.com/developer/en/6.0/update/eshop_from_6x_to_6y/update_to%206.0.0.html. It is not recommended to use the description we published below.

For updating OXID eShop from RC3 to 6.0.0, please run the following steps:

    1. Please edit the oxid-esales/oxideshop-metapackage version requirement in your root composer.json file by changing version to “^v6.0.0”. Additional changes were introduced to this file which can be added manually, changes can be found here. Documentation how to define custom composer commands can be found here.
    2. In the project, run:

      for updating dependencies.
    3. In the project, run

      for executing all necessary scripts.
    4. In the project, run

      for executing possible database migrations.

Please update on your own risk, we recommend installation from scratch.

 

3.00 avg. rating (62% score) - 7 votes


Start the discussion at OXID forums

Prior comments
4 replies
  1. Peter Niwerla says:

    Installation with “-no-dev” does not work:

    composer create-project --no-dev oxid-esales/oxideshop-project my_oxid_eshop_project dev-b-6.0-ce
    Do not run Composer as root/super user! See https://getcomposer.org/root for details
    Installing oxid-esales/oxideshop-project (dev-b-6.0-ce 09c5d486762d05e027dc250ab2524bea1db0c7f5)
    - Installing oxid-esales/oxideshop-project (dev-b-6.0-ce b-6.0-ce): Cloning b-6.0-ce
    Failed to download oxid-esales/oxideshop-project from source: Failed to clone https://github.com/OXID-eSales/oxideshop_project.git, git was not found, check that it is installed and in your PATH env.
    sh: git: command not found
    Now trying to download from dist
    - Installing oxid-esales/oxideshop-project (dev-b-6.0-ce b-6.0-ce): Downloading (100%)
    Created project in my_oxid_eshop_project
    Loading composer repositories with package information
    Updating dependencies
    Package operations: 51 installs, 0 updates, 0 removals
    - Installing webmozart/assert (1.2.0): Downloading (100%)
    - Installing webmozart/path-util (2.3.0): Downloading (100%)
    - Installing webmozart/glob (4.1.0): Downloading (100%)
    - Installing symfony/process (v2.8.30): Downloading (100%)
    - Installing symfony/polyfill-mbstring (v1.6.0): Downloading (100%)
    - Installing symfony/finder (v2.8.30): Downloading (100%)
    - Installing symfony/filesystem (v3.3.12): Downloading (100%)
    - Installing psr/log (1.0.2): Downloading (100%)
    - Installing symfony/debug (v3.0.9): Downloading (100%)
    - Installing symfony/console (v2.8.30): Downloading (100%)
    - Installing smarty/smarty (v2.6.31): Downloading (100%)
    - Installing seld/phar-utils (1.0.1): Downloading (100%)
    - Installing seld/jsonlint (1.6.1): Downloading (100%)
    - Installing seld/cli-prompt (1.0.3): Downloading (100%)
    - Installing justinrainbow/json-schema (5.2.6): Downloading (100%)
    - Installing composer/spdx-licenses (1.1.6): Downloading (100%)
    - Installing composer/semver (1.4.2): Downloading (100%)
    - Installing composer/ca-bundle (1.0.9): Downloading (100%)
    - Installing composer/composer (1.5.2): Downloading (100%)
    - Installing oxid-esales/oxideshop-facts (v2.1.0): Downloading (100%)
    - Installing oxid-esales/oxideshop-unified-namespace-generator (v1.0.0): Downloading (100%)
    - Installing oxid-esales/oxideshop-composer-plugin (v2.0.1): Downloading (100%)
    - Installing zendframework/zend-eventmanager (3.2.0): Downloading (100%)
    - Installing zendframework/zend-code (2.6.3): Downloading (100%)
    - Installing symfony/yaml (v2.8.30): Downloading (100%)
    - Installing phpmailer/phpmailer (v5.2.26): Downloading (100%)
    - Installing payone-gmbh/oxid-6 (1.0.4): Downloading (100%)
    - Installing oxid-esales/paypal-module (v5.1.3): Downloading (100%)
    - Installing oxid-esales/paymorrow-module (v2.0.0): Downloading (100%)
    - Installing ocramius/proxy-manager (1.0.2): Downloading (100%)
    - Installing doctrine/lexer (v1.0.1): Downloading (100%)
    - Installing doctrine/inflector (v1.1.0): Downloading (100%)
    - Installing doctrine/collections (v1.4.0): Downloading (100%)
    - Installing doctrine/cache (v1.6.2): Downloading (100%)
    - Installing doctrine/annotations (v1.4.0): Downloading (100%)
    - Installing doctrine/common (v2.7.3): Downloading (100%)
    - Installing doctrine/dbal (v2.5.12): Downloading (100%)
    - Installing doctrine/migrations (v1.5.0): Downloading (100%)
    - Installing oxid-esales/oxideshop-doctrine-migration-wrapper (v2.1.0): Downloading (100%)
    - Installing oxid-esales/oxideshop-demodata-installer (v1.1.1): Downloading (100%)
    - Installing oxid-esales/oxideshop-demodata-ce (v6.0.0): Downloading (100%)
    - Installing oxid-esales/oxideshop-db-views-generator (v1.1.1): Downloading (100%)
    - Installing oxid-esales/eshop-facts (v1.0.2): Downloading (100%)
    - Installing oxid-esales/eshop-edition-facts (v1.0.0): Downloading (100%)
    - Installing oxid-esales/flow-theme (v2.3.1): Downloading (100%)
    - Installing oxid-esales/oxideshop-ce (v6.0.0): Downloading (100%)
    - Installing monolog/monolog (1.23.0): Downloading (100%)
    - Installing ddoe/wysiwyg-editor-module (v2.0.0): Downloading (100%)
    - Installing amzn/amazon-pay-sdk-php (3.1.0): Downloading (100%)
    - Installing bestit/amazonpay4oxid (3.0.2): Downloading (100%)
    - Installing oxid-esales/oxideshop-metapackage-ce (v6.0.0): Downloading (100%)
    Writing lock file
    Generating autoload files
    Generating OXID eShop unified namespace classes ... Done
    Copying module payone-gmbh/oxid-6 files...
    Copying module oxid-esales/paypal-module files...
    Copying module oxid-esales/paymorrow-module files...
    Copying theme oxid-esales/flow-theme files...
    Installing shop package.
    Copying shop files to source directory...
    Copying module ddoe/wysiwyg-editor-module files...
    Copying module bestit/amazonpay4oxid files...
    Class Incenteev\ParameterHandler\ScriptHandler is not autoloadable, can not call post-update-cmd script
    > if [ -f ./vendor/bin/oe-eshop-ide_helper ]; then oe-eshop-ide_helper; fi

    Please fix the error or change the install instructions. Thanks!

    Reply
  2. Peter Niwerla says:

    So “Class Incenteev\ParameterHandler\ScriptHandler is not autoloadable, can not call post-update-cmd script
    > if [ -f ./vendor/bin/oe-eshop-ide_helper ]; then oe-eshop-ide_helper; fi” is not an error? If I install it without “-no dev” I do not get this error message from Composer!

    Reply

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply

Your email address will not be published. Required fields are marked *